Create a new app version
curl --request POST \
--url https://api.example.com/api/app/{app_id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version_name": "<string>",
"status": "inactive"
}
'import requests
url = "https://api.example.com/api/app/{app_id}/versions"
payload = {
"version_name": "<string>",
"status": "inactive"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version_name: '<string>', status: 'inactive'})
};
fetch('https://api.example.com/api/app/{app_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_name": "<string>",
"status": "<string>",
"created_by": "<string>",
"created_date": "<unknown>",
"updated_by": "<string>",
"updated_date": "<unknown>"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}App manager
Create a new app version
Create a new version of your app for updates or changes.
POST
/
api
/
app
/
{app_id}
/
versions
Create a new app version
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID of the app.
Body
application/json
Response
Version created successfully.
Response model for app version details.
Unique ID of the app version.
ID of the parent app.
Name of the version.
Status of the version: 'active' or 'inactive'.
Username of the creator.
Version creation timestamp.
Username of the last updater.
Timestamp when the version was last updated.
Was this page helpful?
⌘I

